import com.j256.ormlite.dao.Dao;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import java.sql.SQLException;

public class AccountServiceTest {

    private AccountService service;
    private Dao<Account, Integer> dao;

    @Before
    public void setup(){
        dao = new MockDao();
        service = new AccountService(dao);
    }


    @Test
    public void create() throws SQLException {
        Account account = new Account();
        int expectedId = 1113;
        //  when
        int actualId = service.create(account);
        Assert.assertEquals(expectedId, actualId);
    }

   @Test
    public void read() throws SQLException {
        int expected = 1;
        int actual = service.read().size();
        Assert.assertEquals(expected, actual);
    }

  @Test
    public void update() throws SQLException {
        Account account = new Account();
        int expected =  5435;
        int actual = service.update(account);
        Assert.assertEquals(expected, actual);

    }

  @Test
    public void delete() throws SQLException {
        int expected = 4399;
        int actual = service.delete(3);
        Assert.assertEquals(expected, actual);
    }


}
